python-ufw_0.36-0ubuntu0.18.04.1_all.deb


Advertisement

Description

python-ufw - Uncomplicated FireWall Python modules

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package filename python-ufw_0.36-0ubuntu0.18.04.1_all.deb
Package name python-ufw
Package version 0.36
Package release 0ubuntu0.18.04.1
Package architecture all
Package type deb
Category universe/python
Homepage https://launchpad.net/ufw
License -
Maintainer Jamie Strandboge <jamie@ubuntu.com>
Download size 41.84 KB
Installed size 244.00 KB
The Uncomplicated FireWall is a front-end for iptables, to make managing a
Netfilter firewall easier. This package includes the Python modules for the
Uncomplicated FireWall.

Alternatives

Package Version Architecture Repository
python-ufw_0.36-0ubuntu0.18.04.1_all.deb 0.36 all Ubuntu Updates Universe
python-ufw_0.35-5_all.deb 0.35 all Ubuntu Universe
python-ufw_0.35-5_all.deb 0.35 all Ubuntu Universe
python-ufw - - -

Requires

Name Value
python:any << 2.8
python:any >= 2.7.5-5~

Replaces

Name Value
ufw << 0.32-0ubuntu1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-ufw_0.36-0ubuntu0.18.04.1_all.deb
Source Package ufw

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-ufw deb package:
    # sudo apt-get install python-ufw

Files

Path
/usr/lib/python2.7/dist-packages/ufw-0.36.egg-info
/usr/lib/python2.7/dist-packages/ufw/__init__.py
/usr/lib/python2.7/dist-packages/ufw/applications.py
/usr/lib/python2.7/dist-packages/ufw/backend.py
/usr/lib/python2.7/dist-packages/ufw/backend_iptables.py
/usr/lib/python2.7/dist-packages/ufw/common.py
/usr/lib/python2.7/dist-packages/ufw/frontend.py
/usr/lib/python2.7/dist-packages/ufw/parser.py
/usr/lib/python2.7/dist-packages/ufw/util.py
/usr/share/doc/python-ufw/changelog.Debian.gz
/usr/share/doc/python-ufw/copyright

Changelog

2019-03-25 - Jamie Strandboge <jamie@ubuntu.com>
ufw (0.36-0ubuntu0.18.04.1) bionic-proposed; urgency=medium
* Backport to bionic addressing the following SRU bugs:
- LP: #1811129 - master SRU bug
- LP: #1664133 - before6.rules: echo-reply needs to be before INVALID
- LP: #1719211 - improve interface name checks
- LP: #1775043 - shell-completion/bash: adjust for modern bash
- LP: #1204579 - support concurrent updates
- LP: #1368411 - add 'prepend' command
2018-12-14 - Jamie Strandboge <jamie@ubuntu.com>
ufw (0.36-1) unstable; urgency=medium
* New upstream release (LP: #1782384, LP: #1664133, LP: #1509725,
LP: #1695718, LP: #1719211, LP: #1775043, LP: #1204579, LP: #1652163,
LP: #1377600, Closes: 686248, LP: #1368411, LP: #1586258, Closes: 909163,
Closes: 884932, LP: #1558068)
- drop 0002-bug849628.patch (included upstream)
- drop 0003-use-default-tcp-syncookies.patch (included upstream)
- drop 0004-lp1633698.patch (included upstream)
* Remaining changes:
- 0001-optimize-boot.patch
* debian/ufw.maintscript: remove /etc/bash_completion.d/ufw on upgrade
(LP: #1602834)
* debian/control: remove no longer needed xs-python-version and
x-python3-version fields
* update debian/before6.rules.md5sum for file shipped in 0.35-6. While both
before.rules and before6.rules were updated in this new upstream release,
0.35-6 mistakenly already had its own md5sum for before.rules, so we don't
need to add it now.
2018-05-04 - Jamie Strandboge <jamie@ubuntu.com>
ufw (0.35-6) unstable; urgency=medium
* debian/control:
- Build-Depends on python3-distutils (Closes: 896787)
- remove Build-Depends on dh-systemd and add versioned Build-Depends on
debhelper >= 9.20160709
- update to use Vcs-Git instead of Vcs-Bzr
2017-08-17 - Dimitri John Ledkov <xnox@ubuntu.com>
ufw (0.35-5) unstable; urgency=medium
* Remove upstart system job.
2017-01-10 - Jamie Strandboge <jamie@ubuntu.com>
ufw (0.35-4) unstable; urgency=medium
* debian/ufw.lintian-overrides:
- remove no longer needed lintian override for postinst init script
- don't complain about 'ufw allow' rules with spellcheck
* debian/ufw.init: add Description to INIT INFO
* debian/control: Depends on lsb-base (>= 3.0-6)
* debian/ufw.service: add Documentation key
2017-01-08 - Jamie Strandboge <jamie@ubuntu.com>
ufw (0.35-3) unstable; urgency=medium
* 0002-bug849628.patch: adjust testsuite for recent changes to netbase
(Closes: 849628)
* 0003-use-default-tcp-syncookies.patch: don't override distribution default
for TCP syncookies
* 0004-lp1633698.patch: adjust ufw6-before-output rules for echo-reply and
echo-request (LP: #1633698)
* update debian/before6.rules.md5sum
* fix lintian errors:
- debian/control: Build-Depends on dh-python and debhelper >= 9
- debian/compat: use compatibility level 9
2016-05-06 - Jamie Strandboge <jamie@ubuntu.com>
ufw (0.35-2) unstable; urgency=medium
[ Adam Conrad ]
* Switch the ufw trigger to interest-noawait to avoid trigger loops.
2016-04-12 - Jamie Strandboge <jamie@ubuntu.com>
ufw (0.35-1) unstable; urgency=medium
* New upstream release (LP: #448503, LP: #728128)
- drop 0002-update-testsuite-for-empty-proc-net.patch (included upstream)
- refresh 0001-optimize-boot.patch
* update rsyslog example to use 'stop' instead of the deprecated '~'. Patch
from Ognyan Kulev. (Closes: 798100)
* debian/rules: use dh_prep instead of dh_clean -k
* debian/ufw.postinst: migrate /lib/ufw/user*rules to /etc/ufw on upgrade
and add symlinks from /lib/ufw/user*rules to /etc/ufw (Closes: 818000)
* debian/ufw.postrm: remove /lib/ufw/user*rules symlinks on purge
2015-08-29 - Jamie Strandboge <jamie@ubuntu.com>
ufw (0.34-2) unstable; urgency=medium
* 0002-update-testsuite-for-empty-proc-net.patch: update unit tests to not
fail when /proc/net/* has no useful information (Closes: 797020)
* debian/control: no longer explicitly Depends on debconf (Closes: 797278)

See Also

Package Description
python-unbound_1.6.7-1ubuntu2.2_amd64.deb library implementing DNS resolution and validation (Python bindings)
python-uwsgidecorators_2.0.15-10.2ubuntu2.1_all.deb module of decorators for elegant access to uWSGI API (Python 2)
python-wokkel_0.7.1-1ubuntu0.18.04.1_all.deb collection of enhancements for Twisted
python-zeroc-ice_3.7.0-5ubuntu0.2_amd64.deb Python 2 extension for Ice
python3-acme_0.22.2-1ubuntu0.1_all.deb ACME protocol library for Python 3
python3-aptdaemon.test_1.1.1+bzr982-0ubuntu19.1_all.deb Test environment for aptdaemon clients
python3-boto_2.44.0-1ubuntu2.18.04.0_all.deb Python interface to Amazon's Web Services - Python 3.x
python3-brotli_1.0.3-1ubuntu1.2_amd64.deb lossless compression algorithm and format (Python 3 version)
python3-ceph-argparse_12.2.12-0ubuntu0.18.04.3_amd64.deb Python 3 utility libraries for Ceph CLI
python3-cephfs_12.2.12-0ubuntu0.18.04.3_amd64.deb Python 3 libraries for the Ceph libcephfs library
python3-django-openstack-auth_13.0.2-0ubuntu1_all.deb Django authentication backend for Openstack - Python 3.x
python3-gnocchi_4.2.5-0ubuntu1_all.deb Metric as a Service - Python 3.x
python3-gnupg_0.4.1-1ubuntu1.18.04.1_all.deb Python wrapper for the GNU Privacy Guard (Python 3.x)
python3-google-compute-engine_20190522-0ubuntu1~18.04.0_all.deb Python library for Google Compute Engine interaction (Python 3)
python3-gst-1.0_1.14.5-0ubuntu1~18.04.1_amd64.deb GStreamer GObject Introspection overrides for Python (Python 3)
Advertisement
Advertisement